Page MenuHomePhabricator

Configure helm chart
Closed, ResolvedPublic

Description

The git operations/deployment-charts is the place we'll need to put stuff and where a new patchset would need to be made

Looks like the docs are still TBC but there is a ticket for writing them: https://phabricator.wikimedia.org/T213197 and in that ticket a link to https://wikitech.wikimedia.org/wiki/User:Alexandros_Kosiaris/Benchmarking_kubernetes_apps as some hint

This wikitech link also includes some steps we could take locally to validate both the helm file and optionally some basic performance benchmarking.

From IRC

<akosiaris> you can get the dockerfile the pipeline uses by talking to https://blubberoid.wikimedia.org/

<tarrow> one question I had when making the helm chart is: where is the name of the production image decided? e.g. I saw both wikimedia/blubber and wikimedia/mediawiki-services-citoid

<akosiaris> it's the name of the repo in gerrit with the slashes turned dashes

Event Timeline

Pablo-WMDE triaged this task as Normal priority.Feb 12 2019, 3:56 PM
Pablo-WMDE created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 3:56 PM
Lea_WMDE changed the task status from Open to Stalled.Feb 25 2019, 11:08 AM
Lea_WMDE added a subscriber: Lea_WMDE.

This is stalled until there is more info from the ops side

Tarrow added a subscriber: Tarrow.Feb 27 2019, 11:25 AM

Shamlessly trying to copy what is there before we can see that https://gerrit.wikimedia.org/r/c/operations/deployment-charts/+/491523 was the introduction of the helm chart for citoid.

Tarrow updated the task description. (Show Details)Feb 27 2019, 11:36 AM
Tarrow updated the task description. (Show Details)Feb 27 2019, 11:42 AM

also see the create_new_service.sh in deployment-charts for doing some of the lifting

Tarrow updated the task description. (Show Details)Mar 13 2019, 9:36 AM
Tarrow updated the task description. (Show Details)

Change 497262 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[operations/deployment-charts@master] WIP DNM: Introduce wikibase-termbox chart

https://gerrit.wikimedia.org/r/497262

I've added a for-instance WIP since I already had it locally. I guess we can use this to try with minkube if desired following the instructions in the ticket description.

@Tarrow am I interpreting things right that this task has been superseded by https://gerrit.wikimedia.org/r/#/c/operations/deployment-charts/+/505788/ (made by SRE staff as a part of T220402)?
Or is it about some other chart?

Tarrow closed this task as Resolved.May 29 2019, 9:11 AM
Tarrow claimed this task.

Looks like SRE did this for us as part of T220402 :)

Change 497262 abandoned by Alexandros Kosiaris:
WIP DNM: Introduce wikibase-termbox chart

Reason:
Per https://phabricator.wikimedia.org/T215921#5219860

https://gerrit.wikimedia.org/r/497262